The IntlDatePatternGenerator class

- « IntlCodePointBreakIterator::getLastCodePoint

- IntlDatePatternGenerator::create »

- PHP Manual
- intl
- The IntlDatePatternGenerator class

# The IntlDatePatternGenerator class

(PHP 8 >= 8.1.0)

## Introduction

Generates localized date and/or time format pattern strings suitable for use in IntlDateFormatter.

## Class synopsis

class IntlDatePatternGenerator {
/* Methods */
public __construct(?string `$locale` = `null`)
public static create(?string `$locale` = `null`): ?IntlDatePatternGenerator
public getBestPattern(string `$skeleton`): string|false
}

## Table of Contents

- IntlDatePatternGenerator::create — Creates a new IntlDatePatternGenerator instance
- IntlDatePatternGenerator::getBestPattern — Determines the most suitable date/time format